Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.container
Class PluginDevEnvironment

    java.lang.Object
      org.jivesoftware.openfire.container.PluginDevEnvironment

    public class PluginDevEnvironment

extends Object

Represents the data model used to represent development mode within the Jive Openfire plugin framework.

Author:
  Derek DeMoro

Constructor Summary
`PluginDevEnvironment()`

Method Summary
`File` | `getClassesDir()` Returns the classes directory of a plugin in development mode.
`File` | `getWebRoot()` Returns the document root of a plugins web development application.
`void` | `setClassesDir(File classesDir)` Sets the classes directory of a plugin used in development mode.
`void` | `setWebRoot(File webRoot)` Set the document root of a plugin.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginDevEnvironment

    public PluginDevEnvironment()

Method Detail

### getWebRoot

    public File getWebRoot()

  Returns the document root of a plugins web development application.

  Returns:
    the document root of a plugin.

### setWebRoot

    public void setWebRoot(File webRoot)

  Set the document root of a plugin.

  Parameters:
    `webRoot` - the document root of a plugin.

### getClassesDir

    public File getClassesDir()

  Returns the classes directory of a plugin in development mode.

  Returns:
    the classes directory of a plugin in development mode.

### setClassesDir

    public void setClassesDir(File classesDir)

  Sets the classes directory of a plugin used in development mode.

  Parameters:
    `classesDir` - the classes directory.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.